Package org.apache.cayenne.map

# Class ProcedureQueryDescriptor

java.lang.Object
org.apache.cayenne.map.QueryDescriptor
org.apache.cayenne.map.ProcedureQueryDescriptor

All Implemented Interfaces:
  `Serializable`, `ConfigurationNode`, `XMLSerializable`

public class ProcedureQueryDescriptor extends QueryDescriptor

Since:
  4.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `resultEntityName`

  ### Fields inherited from class org.apache.cayenne.map.QueryDescriptor

  `DATA_MAP_ROOT, dataMap, DB_ENTITY_ROOT, EJBQL_QUERY, JAVA_CLASS_ROOT, name, OBJ_ENTITY_ROOT, PROCEDURE_QUERY, PROCEDURE_ROOT, properties, root, SELECT_QUERY, SQL_TEMPLATE, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcedureQueryDescriptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProcedureQuery`
  `buildQuery()`
  Assembles Cayenne query instance of appropriate type from this descriptor.
  `void`
  `encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor delegate)`
  Prints itself as XML to the provided XMLEncoder.
  `String`
  `getResultEntityName()`
  Returns result entity name.
  `void`
  `setResultEntityName(String resultEntityName)`
  Sets result entity name.

  ### Methods inherited from class org.apache.cayenne.map.QueryDescriptor

  `acceptVisitor, descriptor, ejbqlQueryDescriptor, getDataMap, getName, getProperties, getProperty, getRoot, getType, procedureQueryDescriptor, selectQueryDescriptor, setDataMap, setName, setProperties, setProperty, setRoot, setType, sqlTemplateDescriptor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### resultEntityName

    protected String resultEntityName

- ## Constructor Details

  - ### ProcedureQueryDescriptor

    public ProcedureQueryDescriptor()

- ## Method Details

  - ### getResultEntityName

    public String getResultEntityName()
    Returns result entity name.

  - ### setResultEntityName

    public void setResultEntityName(String resultEntityName)
    Sets result entity name.

  - ### buildQuery

    public ProcedureQuery buildQuery()
    Description copied from class: `QueryDescriptor`
    Assembles Cayenne query instance of appropriate type from this descriptor.
    Overrides:
      `buildQuery` in class `QueryDescriptor`

  - ### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor delegate)
    Description copied from interface: `XMLSerializable`
    Prints itself as XML to the provided XMLEncoder.
    Specified by:
      `encodeAsXML` in interface `XMLSerializable`
    Overrides:
      `encodeAsXML` in class `QueryDescriptor`